<app-spinner *ngIf='loading'></app-spinner>
<div *ngIf='!loading'>
  <app-admin-nav-bar></app-admin-nav-bar>

  <div class="main">
    <div class="mainIn">
      <div class="left">Profile details</div>
      <div class="right">
        <app-toggle-approval (versionChanged)="updateVersion()" [userId]="user.id" [isApproved]="user.approved"></app-toggle-approval>
      </div>
      <div class="line"></div>
      <app-profile [(user)]="user" (myChange)="userChange($event)" [showType]="id"></app-profile>

      <button type="button" (click)="reset()" md-raised-button class="save left">Reset&nbsp;password</button>
      <button type="button" (click)="save()" md-raised-button class="save right">Save&nbsp;changes</button>
      <div class="clear"></div>
    </div>
  </div>
</div>
